package cz.moneta.test.regression.channels.digital.ib.oldib.authentication;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;
import org.junit.jupiter.api.Disabled;

@TestScenario(name = "IB clickLogin type variations test")
public class LoginVariantsTest {

    @Disabled("Due to rewriting all IB regression tests")
    @TestCase(name = "Login into IB using Mobile Key")
    @JiraTestCase(id = "IB-T8242")
    void userWithMobileKey_shouldLoginWithMobileKey(Harness harness, @Key("ib.client") Credentials client) {
        harness.withIB()
                .openLoginPage()
                .typeUsername(client.getUsername())
                .typePassword(client.getPassword())
                .clickLogin()
                .onAuthMobileKeyPage()
                .fillMobileKey("12341234")
                .clickLogin()
                .onWelcomePage()
                .checkWelcomePageImageIsPresent();
    }
}
